<?php
/**
 * $Horde: klutz/prefs.php,v 1.5.2.4 2005/01/03 11:25:56 jan Exp $
 *
 * Copyright 2002-2005 Marcus I. Ryan <marcus@riboflavin.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

/**
 * Call PrefsUI::groupIsEditable() here because we can rely on it being present
 * in Horde 2.1 but the prefs template still calls groupIsEditable().
 */
function groupIsEditable($group)
{
    return PrefsUI::groupIsEditable($group);
}

function handle_comic_select($updated)
{
    global $prefs;

    $viewcomics = Horde::getFormData('viewcomics');
    if (!is_null($viewcomics)) {
        $prefs->setValue('viewcomics', $viewcomics);
        $updated = true;
    }
    return $updated;
}

function prefs_callback()
{
    global $prefs, $js_onLoad;

    if ($prefs->isDirty('language')) {
        $js_onLoad = 'if (window.parent.frames.horde_menu) window.parent.frames.horde_menu.location.reload();';
    }
}

define('KLUTZ_BASE', dirname(__FILE__));
require_once KLUTZ_BASE . '/lib/base.php';
require_once HORDE_BASE . '/lib/PrefsUI.php';
require KLUTZ_BASE . '/config/prefs.php';

/* See if we have a preferences group set. */
$group = Horde::getFormData('group');
$js_onLoad = null;

if (PrefsUI::handleForm($group)) {
    $group = null;
    include KLUTZ_BASE . '/config/prefs.php';
}

$title = _("User Options");
require KLUTZ_TEMPLATES . '/common-header.inc';
require KLUTZ_BASE . '/menu.php';
$notification->notify();

PrefsUI::generateUI($group);

$registry->shutdown();
require KLUTZ_TEMPLATES . '/common-footer.inc';
